use "$inpath/data/process/FullData_All_Years.dta", clear 
keep if year == 1999
gen count = 1
collapse (sum) WHTM NHTM PHTM count, by(Household) 
order Household NHTM WHTM PHTM 
local kap "NHTM WHTM PHTM" 
foreach x in `kap'  {
	egen `x'_s = sum(`x') if Household !=""
	gen percent_`x' = (`x'/`x'_s)*100
	}

local kap "NHTM WHTM PHTM" 
foreach x in `kap'  {
	gen a_percent_`x' = string(percent_`x', "%24.2fc")
	replace a_percent_`x' = "`x'" if Household == ""
	}

keep Household a_per*

cd "$inpath/out/finaltex"
dataout, tex head noauto save("ComparisonTable_PercentColumn") replace


use "$inpath/data/process/FullData_All_Years.dta", clear 
keep if year == 1999
gen count = 1
*gen Negative_Wealth = 1 if WHTM !=1 & NHTM != 1 & PHTM !=1
collapse (sum) WHTM NHTM PHTM count, by(Household) 
order Household NHTM WHTM PHTM 
local kap "NHTM WHTM PHTM" 
foreach x in `kap'  {
	gen percent_`x' = (`x'/count)*100
	}

local kap "NHTM WHTM PHTM" 
foreach x in `kap'  {
	gen a_percent_`x' = string(percent_`x', "%24.2fc")
	replace a_percent_`x' = "`x'" if Household == ""
	}

keep Household a_per*

cd "$inpath/out/finaltex"
dataout, tex head noauto save("ComparisonTable_PercentRow") replace
