/*******************************************************************************
*                                    1999                                      *
*******************************************************************************/
local hundred_thousand "TANF_income_head1999 Other_welfare_head1999 retirement_pension_head1999 Annuities_head1999 other_retire_head1999"
		
foreach x in `hundred_thousand' {
	replace `x' = 0 if `x' >999997 & `x' != .
	}
			
		
local thousand "VA_pension_head1999 unemp_comp_head1999 worker_comp_head1999 TANF_income_wife1999 Other_welfare_wife1999 pension_annuities_wife1999 unemp_comp_wife1999 worker_comp_wife1999"
		
foreach x in `thousand' {
	replace `x' = 0 if `x' >99997 & `x' != .
	}		
	
	
gen running_total1999 = 0 
	
local var_year "1999"
local variable_without_year "TANF_income_head Other_welfare_head retirement_pension_head Annuities_head other_retire_head VA_pension_head unemp_comp_head worker_comp_head TANF_income_wife Other_welfare_wife pension_annuities_wife unemp_comp_wife worker_comp_wife"	
local variable_with_year "TANF_income_head1999 Other_welfare_head1999 retirement_pension_head1999 Annuities_head1999 other_retire_head1999 VA_pension_head1999 unemp_comp_head1999 worker_comp_head1999 TANF_income_wife1999 Other_welfare_wife1999 pension_annuities_wife1999 unemp_comp_wife1999 worker_comp_wife1999" 
		
local n : word count `variable_without_year' 
		
		
forvalues i = 1/`n' {
	
	local x : word `i' of `variable_with_year'
	local y : word `i' of `variable_without_year'
	
	replace `x' = `x' *56 if `y'_per`var_year' == 3 
	replace `x' = `x' *28 if `y'_per`var_year' == 4 
	replace `x' = `x' *12 if `y'_per`var_year' == 5
	replace `x' = `x' *1  if `y'_per`var_year' == 6
	replace `x' = 0       if `y'_per`var_year' > 6
			
	replace running_total1999 = running_total1999 + `x' 
}
			
gen labor_income_Kap1999 = running_total1999 + SSI_ALL1999 + labor_income_head1999 + labor_income_wife1999
	
	
	
	
rename VA_pension_head1999 pension_inc_VA1999
rename VA_pension_head_per1999 pension_inc_per1999
rename retirement_pension_head1999  nonVA_retir_inc1999
rename retirement_pension_head_per1999 nonVA_retir_per1999
rename Annuities_head1999 annuities_inc1999
rename Annuities_head_per1999 annuities_per1999
rename other_retire_head1999 other_pension_inc1999
rename other_retire_head_per1999 other_pension_per1999
		
rename pension_annuities_wife1999 W_pension_annu_inc1999
rename pension_annuities_wife_per1999  W_pension_annu_per1999
		
		
gen liquid_wealth1999 = val_farm_bus1999 + val_money_accounts1999 - val_debt1999 + val_stocks1999 + val_vehicle1999 + val_other_assets1999 + val_IRA1999
gen val_debt_kap1999 = val_debt1999
gen liquid_wealth_kap1999 = val_money_accounts1999 + val_stocks1999  - val_debt_kap1999
/*******************************************************************************
*                                    2001                                      *
*******************************************************************************/
local hundred_thousand "TANF_income_head2001 Other_welfare_head2001 retirement_pension_head2001 Annuities_head2001 other_retire_head2001"

foreach x in `hundred_thousand' {
	replace `x' = 0 if `x' >999997 & `x' != .
	}
			
		
local thousand "VA_pension_head2001 unemp_comp_head2001 worker_comp_head2001 TANF_income_wife2001 Other_welfare_wife2001 pension_annuities_wife2001 unemp_comp_wife2001 worker_comp_wife2001"
	
foreach x in `thousand' {
	replace `x' = 0 if `x' >99997 & `x' != .
	}		

gen running_total2001 = 0 
	
local var_year "2001"
local variable_without_year "TANF_income_head Other_welfare_head retirement_pension_head Annuities_head other_retire_head VA_pension_head unemp_comp_head worker_comp_head TANF_income_wife Other_welfare_wife pension_annuities_wife unemp_comp_wife worker_comp_wife"	
local variable_with_year "TANF_income_head2001 Other_welfare_head2001 retirement_pension_head2001 Annuities_head2001 other_retire_head2001 VA_pension_head2001 unemp_comp_head2001 worker_comp_head2001 TANF_income_wife2001 Other_welfare_wife2001 pension_annuities_wife2001 unemp_comp_wife2001 worker_comp_wife2001" 
		
local n : word count `variable_without_year' 
		
		
forvalues i = 1/`n' {
	
	local x : word `i' of `variable_with_year'
	local y : word `i' of `variable_without_year'
	
	replace `x' = `x' *56 if `y'_per`var_year' == 3 
	replace `x' = `x' *28 if `y'_per`var_year' == 4 
	replace `x' = `x' *12 if `y'_per`var_year' == 5
	replace `x' = `x' *1  if `y'_per`var_year' == 6
	replace `x' = 0       if `y'_per`var_year' > 6
			
	replace running_total2001 = running_total2001 + `x' 
}
			
gen labor_income_Kap2001 = running_total2001 + SSI_ALL2001 + labor_income_head2001 + labor_income_wife2001
		

rename VA_pension_head2001 pension_inc_VA2001
rename VA_pension_head_per2001 pension_inc_per2001
rename retirement_pension_head2001  nonVA_retir_inc2001
rename retirement_pension_head_per2001 nonVA_retir_per2001
rename Annuities_head2001 annuities_inc2001
rename Annuities_head_per2001 annuities_per2001
rename other_retire_head2001 other_pension_inc2001
rename other_retire_head_per2001 other_pension_per2001
		
rename pension_annuities_wife2001 W_pension_annu_inc2001
rename pension_annuities_wife_per2001  W_pension_annu_per2001
		
		
gen liquid_wealth2001 = val_farm_bus2001 + val_money_accounts2001 - val_debt2001 + val_stocks2001 + val_vehicle2001 + val_other_assets2001 + val_IRA2001
gen val_debt_kap2001 = val_debt2001
gen liquid_wealth_kap2001 = val_money_accounts2001 + val_stocks2001  - val_debt_kap2001 
/*******************************************************************************
*                                    2003                                      *
*******************************************************************************/
gen liquid_wealth2003 = val_farm_bus2003 + val_money_accounts2003 - val_debt2003 + val_stocks2003 + val_vehicle2003 + val_other_assets2003 + val_IRA2003 
gen val_debt_kap2003 = val_debt2003
gen liquid_wealth_kap2003 = val_money_accounts2003 + val_stocks2003 + val_other_assets2003  - val_debt_kap2003
		
local hundred_thousand "TANF_income_head2003 Other_welfare_head2003 retirement_pension_head2003 Annuities_head2003 other_retire_head2003"
	
foreach x in `hundred_thousand' {
	replace `x' = 0 if `x' >999997 & `x' != .
	}
			
		
local thousand "VA_pension_head2003 unemp_comp_head2003 worker_comp_head2003 TANF_income_wife2003 Other_welfare_wife2003 pension_annuities_wife2003 unemp_comp_wife2003 worker_comp_wife2003"
		
foreach x in `thousand' {
	replace `x' = 0 if `x' >99997 & `x' != .
	}

gen running_total2003 = 0 
	
local var_year "2003"
local variable_without_year "TANF_income_head Other_welfare_head retirement_pension_head Annuities_head other_retire_head VA_pension_head unemp_comp_head worker_comp_head TANF_income_wife Other_welfare_wife pension_annuities_wife unemp_comp_wife worker_comp_wife"	
local variable_with_year "TANF_income_head2003 Other_welfare_head2003 retirement_pension_head2003 Annuities_head2003 other_retire_head2003 VA_pension_head2003 unemp_comp_head2003 worker_comp_head2003 TANF_income_wife2003 Other_welfare_wife2003 pension_annuities_wife2003 unemp_comp_wife2003 worker_comp_wife2003" 
		
local n : word count `variable_without_year' 
		
		
forvalues i = 1/`n' {
	
	local x : word `i' of `variable_with_year'
	local y : word `i' of `variable_without_year'
	
	replace `x' = `x' *56 if `y'_per`var_year' == 3 
	replace `x' = `x' *28 if `y'_per`var_year' == 4 
	replace `x' = `x' *12 if `y'_per`var_year' == 5
	replace `x' = `x' *1  if `y'_per`var_year' == 6
	replace `x' = 0       if `y'_per`var_year' > 6
			
	replace running_total2003 = running_total2003 + `x' 
}
			
gen labor_income_Kap2003 = running_total2003 + SSI_ALL2003 + labor_income_head2003 + labor_income_wife2003
	
	
rename VA_pension_head2003 pension_inc_VA2003
rename VA_pension_head_per2003 pension_inc_per2003
rename retirement_pension_head2003  nonVA_retir_inc2003
rename retirement_pension_head_per2003 nonVA_retir_per2003
rename Annuities_head2003 annuities_inc2003
rename Annuities_head_per2003 annuities_per2003
rename other_retire_head2003 other_pension_inc2003
rename other_retire_head_per2003 other_pension_per2003
		
rename pension_annuities_wife2003 W_pension_annu_inc2003
rename pension_annuities_wife_per2003  W_pension_annu_per2003
/*******************************************************************************
*                                    2005                                      *
*******************************************************************************/
gen liquid_wealth2005 = val_farm_bus2005 + val_money_accounts2005 - val_debt2005 + val_stocks2005 + val_vehicle2005 + val_other_assets2005 + val_IRA2005

gen val_debt_kap2005 = val_debt2005
gen liquid_wealth_kap2005 = val_money_accounts2005 + val_stocks2005  - val_debt_kap2005

local var_year "2005"

gen add`var_year' = 0 

local vars_all  "TANF_income SSI Other_welfare unemp_comp worker_comp"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}

local vars_head "retirement_pension Annuities other_retire"
	
foreach x in `vars_head' {
	replace add`var_year' = add`var_year' + `x'_head`var_year'
}
		
local vars_head_FU "VA_pension"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_FU`var_year'
}
		
		
local vars_other "pension_annuities"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}
		
gen labor_income_Kap`var_year' = labor_income_head`var_year' + labor_income_wife`var_year' + labor_income_FU`var_year' + add`var_year' 
/*******************************************************************************
*                                    2007                                      *
*******************************************************************************/
gen liquid_wealth2007 = val_farm_bus2007 + val_money_accounts2007 - val_debt2007 + val_stocks2007 + val_vehicle2007 + val_other_assets2007 + val_IRA2007 

gen val_debt_kap2007 = val_debt2007		
gen liquid_wealth_kap2007 = val_money_accounts2007 + val_stocks2007  - val_debt_kap2007

local var_year "2007"

gen add`var_year' = 0 

local vars_all  "TANF_income SSI Other_welfare unemp_comp worker_comp"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}

local vars_head "retirement_pension Annuities other_retire"
	
foreach x in `vars_head' {
	replace add`var_year' = add`var_year' + `x'_head`var_year'
}
		
local vars_head_FU "VA_pension"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_FU`var_year'
}
		
		
local vars_other "pension_annuities"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}
		
gen labor_income_Kap`var_year' = labor_income_head`var_year' + labor_income_wife`var_year' + labor_income_FU`var_year' + add`var_year' 
/*******************************************************************************
*                                    2009                                      *
*******************************************************************************/
gen liquid_wealth2009 = val_farm_bus2009 + val_money_accounts2009 - val_debt2009 + val_stocks2009 + val_vehicle2009 + val_other_assets2009 + val_IRA2009 

gen val_debt_kap2009 = val_debt2009		
gen liquid_wealth_kap2009 = val_money_accounts2009 + val_stocks2009  - val_debt_kap2009

local var_year "2009"

gen add`var_year' = 0 

local vars_all  "TANF_income SSI Other_welfare unemp_comp worker_comp"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}

local vars_head "retirement_pension Annuities other_retire"
	
foreach x in `vars_head' {
	replace add`var_year' = add`var_year' + `x'_head`var_year'
}
		
local vars_head_FU "VA_pension"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_FU`var_year'
}
		
		
local vars_other "pension_annuities"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}
		
gen labor_income_Kap`var_year' = labor_income_head`var_year' + labor_income_wife`var_year' + labor_income_FU`var_year' + add`var_year' 
/*******************************************************************************
*                                    2011                                      *
*******************************************************************************/
gen val_debt2011 = val_credit_debt2011 + val_student_debt2011 + val_med_debt2011 + val_legal_debt2011
gen liquid_wealth2011 = val_farm_bus2011 + val_money_accounts2011  + val_stocks2011 + val_vehicle2011 + val_other_assets2011 + val_IRA2011 - val_debt2011

gen val_debt_kap2011 = val_credit_debt2011
gen liquid_wealth_kap2011 = val_money_accounts2011 + val_stocks2011 - val_debt_kap2011

local var_year "2011"

gen add`var_year' = 0 

local vars_all  "TANF_income SSI Other_welfare unemp_comp worker_comp"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}

local vars_head "retirement_pension Annuities other_retire"
	
foreach x in `vars_head' {
	replace add`var_year' = add`var_year' + `x'_head`var_year'
}
		
local vars_head_FU "VA_pension"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_FU`var_year'
}
		
		
local vars_other "pension_annuities"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}
		
gen labor_income_Kap`var_year' = labor_income_head`var_year' + labor_income_wife`var_year' + labor_income_FU`var_year' + add`var_year' 
/*******************************************************************************
*                                    2013                                      *
*******************************************************************************/
gen val_other_real_estate2013 = A_other_real_estate2013 - L_other_real_estate2013
gen val_debt2013 = val_credit_debt2013 + val_student_debt2013 + val_med_debt2013 + val_legal_debt2013 + val_other_debt2013
		
gen liquid_wealth2013 = A_farm_bus2013 + val_money_accounts2013  + val_stocks2013 + val_vehicle2013 + val_other_assets2013 + val_IRA2013 - val_debt2013

gen val_debt_kap2013 = val_credit_debt2013
		
gen liquid_wealth_kap2013 = val_money_accounts2013 + val_stocks2013  - val_debt_kap2013

local var_year "2013"

gen add`var_year' = 0 

local vars_all  "TANF_income SSI Other_welfare unemp_comp worker_comp"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}

local vars_head "retirement_pension IRA Annuities other_retire"
	
foreach x in `vars_head' {
	replace add`var_year' = add`var_year' + `x'_head`var_year'
}
		
local vars_head_FU "VA_pension"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_head`var_year' + `x'_FU`var_year'
}
		
		
local vars_other "pension_annuities"
		
foreach x in `vars_all' {
	replace add`var_year' = add`var_year' + `x'_wife`var_year' + `x'_FU`var_year'
}
		
gen labor_income_Kap`var_year' = labor_income_head`var_year' + labor_income_wife`var_year' + labor_income_FU`var_year' + add`var_year' 

/*******************************************************************************
*                                    All                                       *
*******************************************************************************/


local years "1999 2001 2003 2005 2007 2009 2011 2013"

foreach date in `years' {
	gen home`date' = 1 if own_home`date' == 1
	gen rent`date' = 1 if own_home`date' == 5
	
	local thousand_99 "mort_pay_monthly`date' mort_2_pay_monthly`date'" 
			
		if `date' <=2003 {
			local thousand_99 " `thousand_99' child_support_inc`date'  supp_rel_inc`date' alimony_inc`date' supp_others_inc`date'	other_sources_inc`date' W_child_support_inc`date'	W_pension_annu_inc`date'	W_supp_rel_inc`date'	W_supp_others_inc`date'	W_other_sources_inc`date'"
			}	

	foreach x in `thousand_99' {
	
		replace `x' = 0 if `x' >99997
		
		}
		
		
	local thousand_100 "rent_inc`date' dividends_inc`date' interest_inc`date' trust_fund_inc`date' pension_inc_VA`date'  nonVA_retir_inc`date'	annuities_inc`date'	other_pension_inc`date' W_dividends_inc`date' W_interest_inc`date' W_trust_fund_inc`date' tax_char_deduction`date' tax_med_deduction`date'"
		
		*** Starting in 2003 have the in addition variable, and W_rent
		
		if `date' == 1999 { 
			local thousand_100 "`thousand_100' W_other_assets_inc`date'"
			}	
		
		if `date' >= 2003 {
			local thousand_100 "`thousand_100' W_rent_inc`date'"
			}
		
		if `date' >= 2005 {
			local thousand_100 "`thousand_100' child_support_inc`date' alimony_inc`date' supp_rel_inc`date' supp_others_inc`date' other_sources_inc`date' W_child_support_inc`date' W_pension_annu_inc`date' W_supp_rel_inc`date' W_supp_others_inc`date' W_other_sources_inc`date'"
			}
			
			
		if `date' == 2013 {
			local thousand_100 "`thousand_100' ira_inc`date' other_pension_inc`date' W_retire_inc`date' W_ira_inc`date' W_other_pension_inc`date'" 
			}
		
		
	
	foreach x in `thousand_100' {
	
		replace `x' = 0 if `x' >999997
		
		}
		
		
	local million  "mortgage_value`date' mort_2_value`date' home_value`date'  lump_sum_inc`date'"
	
	if `date' < 2011  {
			local million "`million' debt_value`date'"
			}
			
			
	if `date' >=2011  {
			local million "`million' credit_debt`date' student_loan`date' med_debt`date' legal_debt`date'"
			}
	
	if `date' >=2013  {
			local million "`million' other_debt`date'"
			}
	
	foreach x in `million' {
	
		replace `x' = 0 if `x' >9999997
		
		}
		
		
		
	local millions_100 "non_IRA_value`date' money_accounts_value`date' home_value`date'  IRA_value`date' other_investments`date'"
	
	if `date' <2011 {
		local millions_100 "`millions_100'" 
		}
	
	foreach x in `millions_100' {
	
		replace `x' = 0 if `x' >999999997
		
		}
		
		
	if `date' >= 2003 {
		local W "W_rent W_dividends W_interest"
		
		foreach w in `W' {
			replace `w'_inc`date' = 0 if `w'_in_add`date' == 5
			}
		}
	
*** COMBINE HUSBAND AND WIFE'S INCOME PIECES TO MAKE TOTAL VARIABLE	
	
	local add "dividends_inc interest_inc trust_fund_inc child_support_inc supp_rel_inc supp_others_inc other_sources_inc"
	
			
		if `date' >= 2003 {
			local add "`add' rent_inc"
			}
			
		
	foreach x in `add' {
		gen total_`x'`date' = `x'`date' + W_`x'`date'
		}
		
	if `date' <=2001 {
		gen total_rent`date' = rent_inc`date'
		}

	gen total_alimony`date' = alimony_inc`date'
	
	gen total_retire`date' = W_pension_annu_inc`date' + pension_inc_VA`date' + nonVA_retir_inc`date' + annuities_inc`date' + other_pension_inc`date'
	
	if `date' == 2013 {
		replace total_retire`date' = total_retire`date' + ira_inc`date' + other_pension_inc`date' + W_retire_inc`date' + W_ira_inc`date' + W_other_pension_inc`date'
		}
		
***** CREATE INCOME VARIABLE BY USING TOTAL_INCOME AND SUBSTRACTING THE COMPONENTS THAT ARE NOT GOVERNMENT TRANSFERS OR LABOR INCOME	
	
	gen select_income`date' = total_income`date'
	
	
	local subtract "rent_inc dividends_inc interest_inc trust_fund_inc child_support_inc alimony_inc supp_rel_inc supp_others_inc other_sources_inc total_retire"
	 
	if `date' == 1999 {
		local subtract "`subtract' W_other_assets_inc" 
		}
	
	foreach var in `subtract' {
		
		replace  select_income`date' = select_income`date' - `var'`date' 
		}
	
	
	
	if `date' >=2011  {
		gen debt_value`date' = credit_debt`date'+ student_loan`date'+ med_debt`date' +legal_debt`date'
			}
		
	if `date' ==2013 {
		replace debt_value`date' = debt_value`date' + other_debt`date'
			}

	replace WEALTH2`date' = 0 if WEALTH2`date' == .
	replace WEALTH1`date' = 0 if WEALTH1`date' == . 
	replace total_income`date' = 0 if total_income`date' == .
	
	gen labor_income`date' = labor_income_head`date' + labor_income_wife`date'
	gen yearly_mort_pay`date' = (mort_pay_monthly`date' * 12) + (mort_2_pay_monthly`date' *12) 
	gen total_mort`date' 	    = mortgage_value`date' + mort_2_value`date' if (home_value`date'!=0 & have_mortgage`date'==1 & (mortgage_value`date' + mort_2_value`date' != 0))
	gen LTV`date' 	    = total_mort`date' / home_value`date'
	gen tab_home_value`date'  = home_value`date' if (home_value`date'!=0 & have_mortgage`date'==1 & (mortgage_value`date' + mort_2_value`date' != 0))
	gen net_equity`date'      = val_net_equity`date'    // This is the net equity of the home
	gen liquid_debt`date' = val_debt`date'
	gen illiquid_wealth`date' = .
	
	
	egen avg_value`date' = median(LTV`date') if home`date' ==1 & have_mortgage`date'==1 
	egen avg_wealth1`date' = median(WEALTH1`date') 
	egen avg_wealth2`date' = median(WEALTH2`date')
	gen no_mortgage`date' = 1 if have_mortgage`date' == 5
	
	gen employed`date' = (emp_1`date' == 1 | emp_2`date' == 1 | emp_3`date' == 1)
	gen unemployed`date' = (emp_1`date' == 3 | emp_2`date' == 3 | emp_3`date' == 3)
	gen retired`date'= (emp_1`date' == 4 | emp_2`date' == 4 | emp_3`date' == 4)
	gen student`date' = (emp_1`date' == 7 | emp_2`date' == 7 | emp_3`date' == 7)
}
