use "$inpath/data/process/FullData_All_Years.dta", clear

drop if Household == ""

keep if (rel_head==1 | rel_head==10) & (seqnum<21 | year==1968)

keep idvar year Household

reshape wide Household, i(idvar) j(year)

local firstyear  "1999 2001 2003 2005 2007 2009 2011"
local secondyear "2001 2003 2005 2007 2009 2011 2013"
local n : word count `firstyear'

forvalues i = 1/`n' {
	local thisyear : word `i' of `firstyear'
	local nextyear : word `i' of `secondyear'

	preserve 
	
	keep if Household`thisyear' != "" & Household`nextyear' != ""
	
	rename Household`thisyear' hh1
	rename Household`nextyear' hh2
	
	keep hh1 hh2
	
	save "$inpath/data/transitions/transitions_`thisyear'_`nextyear'.dta", replace
	
	restore
}
