local dates "1999 2001 2003 2005 2007 2009 2011 2013"
local stat "median"
local income_ratio "varied"

foreach date in `dates' {
	
	use "$inpath/data/process/FullData_`date'"
	cd "$inpath/out/rawtex"

	logout, save(`date'_summary.tex) dta tex replace: tab Household
	logout, save(`date'_Prelim_summary_A.tex) dta tex replace: tab prelim
	logout, save(`date'_Prelim_summary_B.tex) dta tex replace: tab prelim_b
	logout, save(`date'_Ricardian.tex) dta tex replace: tab R_status
	logout, save(`date'_Real_Non_HousingWealth_Percentile.tex) dta tex replace: tabstat real_wealth, stat(p10 p25 p50 p75 p90) column(var)
	logout, save(`date'_Income_By_RNW_`stat'.tex) dta tex replace: tabstat total_income, by(real_wealth_percentile) stat(`stat')  column(var)

	logout, save(`date'_LTV_`stat'.tex) dta tex replace: tabstat LTV, stat(`stat') by(Household)
	logout, save(`date'_LTV_percentile.tex) dta tex replace: tabstat LTV, stat(p10 p25 p50 p75 p90) by(Household)
	logout, save(`date'_Income_`stat'.tex) tex dta replace: tabstat total_income, stat(`stat') by(Household)
	logout, save(`date'_Real_Income_`stat'.tex) tex dta replace: tabstat real_income, stat(`stat') by(Household)
	logout, save(`date'_Income_percentile.tex) tex dta replace: tabstat total_income, stat(p10 p25 p50 p75 p90) by(Household)
	logout, save(`date'_Real_Income_percentile.tex) tex dta replace: tabstat real_income, stat(p10 p25 p50 p75 p90) by(Household)
	logout, save(`date'_wealth_`stat'.tex) tex dta replace: tabstat WEALTH1, stat(`stat') by(Household)
	logout, save(`date'_liquid_wealth_`stat'.tex) tex dta replace: tabstat liquid_wealth, stat(`stat') by(Household)
	logout, save(`date'_real_wealth_`stat'.tex) tex dta replace: tabstat real_wealth, stat(`stat') by(Household)
	logout, save(`date'_liquid_wealth_percentile.tex) tex dta replace: tabstat liquid_wealth, stat(p10 p25 p50 p75 p90) by(Household)
	logout, save(`date'_real_wealth_percentile.tex) tex dta replace: tabstat real_wealth, stat(p10 p25 p50 p75 p90) by(Household)
	logout, save(`date'_wealthb_`stat'.tex) tex dta replace: tabstat WEALTH1_b, stat(`stat') by(Household)
	logout, save(`date'_wealth2_`stat'.tex) tex dta replace: tabstat WEALTH2, stat(`stat') by(Household)
	logout, save(`date'_unemployed.tex) dta tex replace: tabstat unemp_rate, stat(mean) by(Household)
	logout, save(`date'_netequity_`stat'.tex) dta tex replace: tabstat net_equity, stat(`stat') by(Household)
	logout, save(`date'_homevalue_`stat'.tex) tex dta replace: tabstat home_value, stat(`stat') by(Household)

	logout, save(`date'_wealthratio1_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_1, stat(`stat') by(Household)
	logout, save(`date'_wealthratio1b_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_1b, stat(`stat') by(Household)
	logout, save(`date'_wealthratio2_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_2, stat(`stat') by(Household)
	logout, save(`date'_wealthratioLW_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_LW, stat(`stat') by(Household)
	logout, save(`date'_wealthratio3_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_3, stat(`stat') by(Household)
	logout, save(`date'_wealthratio4_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_4, stat(`stat') by(Household)
	logout, save(`date'_wealthratio5_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_5, stat(`stat') by(Household)
	logout, save(`date'_loan_to_income_`stat'_`income_ratio'.tex) tex dta replace: tabstat loan_to_income, stat(`stat') by(Household)
	
	
	logout, save(`date'_LTV_P_`stat'.tex) dta tex replace: tabstat LTV, stat(`stat') by(prelim_b)
	logout, save(`date'_Income_P_`stat'.tex) tex dta replace: tabstat total_income, stat(`stat') by(prelim_b)
	logout, save(`date'_wealth_P_`stat'.tex) tex dta replace: tabstat WEALTH1, stat(`stat') by(prelim_b)
	logout, save(`date'_unemployed_P.tex) dta tex replace: tabstat unemp_rate, stat(mean) by(prelim_b)
	logout, save(`date'_netequity_P_`stat'.tex) dta tex replace: tabstat net_equity, stat(`stat') by(prelim_b)
	logout, save(`date'_homevalue_P_`stat'.tex) tex dta replace: tabstat home_value, stat(`stat') by(prelim_b)

	logout, save(`date'_wealthratio1_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_1, stat(`stat') by(prelim_b)
	logout, save(`date'_wealthratio1b_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_1b, stat(`stat') by(prelim_b)
	logout, save(`date'_wealthratio2_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_2, stat(`stat') by(prelim_b)
	logout, save(`date'_wealthratio3_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_3, stat(`stat') by(prelim_b)
	logout, save(`date'_wealthratio4_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_4, stat(`stat') by(prelim_b)
	logout, save(`date'_wealthratio5_P_`stat'_`income_ratio'.tex) tex dta replace: tabstat ratio_5, stat(`stat') by(prelim_b)	
	
	use "$inpath/data/process/FullData_`date'.dta", clear
	collapse (`stat') total_income, by(Household)
	gen C_R = total_income if Household == "a_R"
	sort C_R
	carryforward C_R, replace
	gen R = total_income/C_R
	gen R_`date' = string(R, "%24.2fc")
	keep if Household != ""
	sort Household
	save "$inpath/out/rawtex/Ratio_I.dta",replace
	
	use "$inpath/data/process/FullData_`date'.dta", clear 
	
	collapse (`stat') WEALTH1, by(Household)
	gen W_R = WEALTH1 if Household == "a_R"
	sort W_R
	carryforward W_R, replace
	gen R = WEALTH1/ W_R
	gen R_`date' = string(R, "%24.2fc")
	keep if Household != ""
	sort Household
	save "$inpath/out/rawtex/Ratio_W.dta",replace
	
	use "$inpath/data/process/FullData_`date'.dta", clear	
	collapse (`stat') WEALTH1_b, by(Household)
	gen W_R = WEALTH1_b if Household == "a_R"
	sort W_R
	carryforward W_R, replace
	gen R = WEALTH1_b/ W_R
	gen R_`date' = string(R, "%24.2fc")
	keep if Household != ""
	sort Household
	save "$inpath/out/rawtex/Ratio_W_b.dta",replace
	
	use "$inpath/data/process/FullData_`date'.dta", clear
	collapse (`stat') WEALTH2, by(Household)
	gen W_R = WEALTH2 if Household == "a_R"
	sort W_R
	carryforward W_R, replace
	gen R = WEALTH2/ W_R
	gen R_`date' = string(R, "%24.2fc")
	keep if Household != ""
	sort Household
	save "$inpath/out/rawtex/Ratio_W2.dta",replace
	
	use "$inpath/data/process/FullData_`date'.dta", clear
	collapse (`stat') liquid_wealth, by(Household)
	gen W_R = liquid_wealth if Household == "a_R"
	sort W_R
	carryforward W_R, replace
	gen R = liquid_wealth/ W_R
	gen R_`date' = string(R, "%24.2fc")
	keep if Household != ""
	sort Household
	save "$inpath/out/rawtex/Ratio_LW.dta",replace
	
	
	
	
	local tables "summary Prelim_summary_A Prelim_summary_B Ricardian Real_Non_HousingWealth_Percentile Income_By_RNW_`stat' LTV_`stat' Real_Income_`stat' Income_`stat' wealth_`stat' liquid_wealth_`stat' real_wealth_`stat' wealthb_`stat' wealth2_`stat' unemployed netequity_`stat' homevalue_`stat' loan_to_income_`stat'_`income_ratio' wealthratio1_`stat'_`income_ratio' wealthratio1b_`stat'_`income_ratio' wealthratio2_`stat'_`income_ratio' wealthratio3_`stat'_`income_ratio' wealthratioLW_`stat'_`income_ratio' wealthratio4_`stat'_`income_ratio' wealthratio5_`stat'_`income_ratio' LTV_P_`stat' Income_P_`stat' wealth_P_`stat' unemployed_P netequity_P_`stat' homevalue_P_`stat' wealthratio1_P_`stat'_`income_ratio'" 
	
	foreach var in `tables' {
		use "$inpath/out/rawtex/`date'_`var'.dta", clear
		
		if "`var'" == "summary" | "`var'" == "Prelim_summary_A" | "`var'" == "Prelim_summary_B"  | "`var'" == "Ricardian" {
			replace v3 = v2 if v1 == "Total"
			keep v1 v3 
			rename v3 v2
			}
		else if "`var'" == "Real_Non_HousingWealth_Percentile" | "`var'" == "Income_By_RNW_`stat'" {
			
		}
		
		else {
			drop v3 v4
			}

		keep if v1 == "p10" | v1 == "p25" | v1 == "p50" | v1 == "p75" | v1 == "p90"  |v1 == "a R" | v1 == "b HH" | v1 == "c BL" | v1 == "d BH" | v1 == "e HNH" | v1 =="f EK" | v1 == "Total" | v1 == "R high" | v1 == "R low" | v1 == "R no" | v1 =="R nohome" | v1 == "b W-HTM" | v1 == "c P-HTM"
		replace v1 = "g Total" if v1 == "Total"
		rename v1 House
		destring(v2), replace ignore(",")
		
		gen a_`date' = string(v2, "%24.0fc")
		
		if "`var'" == "LTV_`stat'" | "`var'" == "LTV_P_`stat'" | "`var'" == "summary" | "`var'" == "Prelim_summary" | "`var'" == "Ricardian" | "`var'" == "loan_to_income_`stat'_`income_ratio'" | ///
		   "`var'" == "wealthratio1_`stat'_`income_ratio'"  | "`var'" == "wealthratio1b_`stat'_`income_ratio'" |  "`var'" == "wealthratio2_`stat'_`income_ratio'" | "`var'" == "wealthratio3_`stat'_`income_ratio'" | ///
		   "`var'" == "wealthratio4_`stat'_`income_ratio'"  | "`var'" == "wealthratio5_`stat'_`income_ratio'"  |  "`var'" == "wealthratio1_P_`stat'_`income_ratio'"  | "`var'" == "wealthratio1b_P_`stat'_`income_ratio'" | ///
		   "`var'" == "wealthratioLW_`stat'_`income_ratio'" | "`var'" == "wealthratio2_P_`stat'_`income_ratio'" | "`var'" == "wealthratio3_P_`stat'_`income_ratio'" | "`var'" == "wealthratio4_P_`stat'_`income_ratio'" | "`var'" == "wealthratio5_P_`stat'_`income_ratio'"{
			replace a_`date' = string(v2, "%24.2fc")
			}
			
		drop v2
		sort House 
	
	if `date' == 1999 {
		save "$inpath/out/rawtex/`var'.dta", replace
		}
		
	else {
		tempfile using
		save "`using'", replace
		
		use "$inpath/out/rawtex/`var'.dta", clear
		merge House using "`using'" 
		drop _merge
		sort House
		save "$inpath/out/rawtex/`var'.dta", replace 
		
		if `date' == 2013 {
			cd "$inpath/out/finaltex"
			dataout, tex head noauto save("`var'") replace
			}
		}
		}
	*logout, save(`date'_median.tex) tex replace: tabstat WEALTH1 WEALTH2 total_income yearly_mort_pay home_value total_mort total_int_mort debt_value liquid_wealth, stat(p5 p25 median p75 p95)

	
}



	*** PERCENTILE TABLES
/*
foreach date in `dates' {
		
	local variables "Real_Income real_wealth Income LTV liquid_wealth" 
		foreach var in `variables' {
			
			use "$inpath/out/rawtex/`date'_`var'_percentile.dta", clear
			keep if v1 == "a R" | v1 == "b HH" | v1 == "c BL" | v1 == "d BH" | v1 == "e HNH" | v1 =="f EK" | v1 == "Total" | v1 == "R high" | v1 == "R low" | v1 == "R no" | v1 =="R nohome" | v1 == "b W-HTM" | v1 == "c P-HTM"
			forvalues i = 2/6 {
			destring(v`i'), replace 
				if "`var'" == "LTV" {
					gen v`i'_`i' = string(v`i', "%24.2fc")
					drop if v1 == "b HH" | v1 == "e HNH" | v1 =="f EK"
					}
				else {
					gen v`i'_`i' = string(v`i', "%24.0fc")
					}
			}
			keep v1 *_*
			cd "$inpath/out/finaltex"
			dataout, save("`var'_percentile_`date'") tex nohead noauto replace 
			}
		}
		
			
			
	local type "C W W_b W2 LW I"

	foreach var in `type' {

	use "$inpath/out/rawtex/Ratio_`var'.dta",clear
	sort Household
	save "$inpath/out/rawtex/RatioAll_`var'.dta", replace


	foreach x in `dates' {

		use "$inpath/out/rawtex/RatioAll_`var'.dta", clear
		merge Household using "$inpath/Data/`x'/Ratio_`var'.dta"
		drop _merge
		sort Household 
		save "$inpath/Data/RatioAll_`var'.dta", replace
		
		}
	
	keep Household R_*
	cd "$inpath/Data/TeX/Final"
	dataout, tex head noauto save("Ratio_`var'_`stat'") replace
